0

my printer Canon Pixma MP250 cannot auto connect in Ubuntu 15.04 and 15.10. I've tried to find and install drivers via Printers-Add without success. I have also tried to download drivers for amd64 in .deb but the App center refused to install it saying something is missing. The repository with official drivers here does not include Wily Werewolf so I can't use it. What should I do then?

I can't go back to 14.04 or 14.10 because Wily has updated drivers for touchpad and wifi on Lenovo and they finally work now as supposed.

  • The last kernel update broke printing to my Canon. Roll back to the last kernel but one and see if it works. – Organic Marble Oct 23 '15 at 11:02
1

I have found the answer here. The solution is to install libtiff4 in Ubuntu 15.04.

sudo -H gedit /etc/apt/sources.list

Add this line into the file

deb http://cz.archive.ubuntu.com/ubuntu precise main universe

and then save it. After that, install the required packages

sudo apt-get update
sudo apt-get install libtiff4 libtiff4-dev

Then it is possible to add a printer through the Printers app.

Note:

Once the package is installed, the repository for precise should be removed. Alternatively downloading the deb files from precise repo manually and installing can also be an option.

|improve this answer|||||
  • 1
    An alternative to adding the repository (and causing possible package conflicts) is to make a symlink to the newer library as detailed here How do I install libtiff.so.3? - this may not always work, but it's safe to try and may save you some trouble if it does fix the issue – Zanna Jun 7 '17 at 13:32

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.